Bug 1315771 - Virtual Machines' Disks & Snapshots in Resources in UserPortal is not expanded correctly
Virtual Machines' Disks & Snapshots in Resources in UserPortal is not expande...
Status: CLOSED EOL
Product: ovirt-engine
Classification: oVirt
Component: Frontend.UserPortal (Show other bugs)
3.6.3
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-4.2.0
: ---
Assigned To: Benny Zlotnik
Elad
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-08 10:02 EST by Petr Matyáš
Modified: 2017-07-23 11:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-23 11:20:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+
rule-engine: planning_ack+
rule-engine: devel_ack+
ratamir: testing_ack+


Attachments (Terms of Use)
screenshot of resources tab (75.10 KB, image/png)
2016-03-08 10:02 EST, Petr Matyáš
no flags Details
screenshot (102.99 KB, image/png)
2017-01-22 13:45 EST, Raz Tamir
no flags Details
highlighted screenshot (93.39 KB, image/png)
2017-01-23 04:45 EST, Petr Matyáš
no flags Details
screenshot rhv-4.1.0-8 (128.70 KB, image/png)
2017-01-23 04:52 EST, Petr Matyáš
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 69831 ovirt-engine-4.1 MERGED userportal: adjust VM Disks & Snapshots panel height 2017-01-09 05:24 EST
oVirt gerrit 69833 ovirt-engine-4.1 MERGED userportal: adjust VM Disks & Snapshots panel height 2017-01-09 06:20 EST

  None (edit)
Description Petr Matyáš 2016-03-08 10:02:04 EST
Created attachment 1134207 [details]
screenshot of resources tab

Description of problem:
Virtual Machines' Disks & Snapshots part of Resources tab in UserPortal is not shown on entire rest of the page, but only on some static area.

Version-Release number of selected component (if applicable):
3.6.3-5

How reproducible:
always

Steps to Reproduce:
1. go to Resources tab in UserPortal
2. have some VMs with disks and expand it to take larger amount of space
3.

Actual results:
Virtual Machines' Disks & Snapshots is not expanded on the rest of the page

Expected results:
Virtual Machines' Disks & Snapshots should take the rest of the page

Additional info:
Comment 1 Raz Tamir 2017-01-22 13:45 EST
Created attachment 1243375 [details]
screenshot

Moving back to assign - attached a screenshot
Comment 2 Raz Tamir 2017-01-23 04:00:45 EST
Petr,
Can you please have a look on the screenshot I attached and see if the problem was fixed?
I can't really understand what is the issue
Comment 3 Petr Matyáš 2017-01-23 04:45 EST
Created attachment 1243530 [details]
highlighted screenshot

Actually your screenshot is useless for verification of this bug since you have only 1 VM. I highlighted what I meant in my screenshot and attached it. There is blank space in the bottom of the page and scrollbar which is wrong, since there is enough space.

Basically you need more VMs with disks and check again.
Comment 4 Petr Matyáš 2017-01-23 04:52 EST
Created attachment 1243531 [details]
screenshot rhv-4.1.0-8

And this bug is still not fixed on 4.1.0-8.
Comment 5 Benny Zlotnik 2017-01-25 11:43:55 EST
(In reply to Petr Matyáš from comment #4)
> Created attachment 1243531 [details]
> screenshot rhv-4.1.0-8
> 
> And this bug is still not fixed on 4.1.0-8.

Which browser are you using and what is your resolution? (in the last screenshot)
Comment 6 Petr Matyáš 2017-01-26 04:10:47 EST
I have Firefox 50.1 on Arch Linux with 4K monitor, so the height should be around 2000px, width around 1900px.

These values should be irrelevant since this is obviously hard coded values for size of that part of the page.
Comment 7 Yaniv Lavi (Dary) 2017-02-23 06:24:29 EST
Moving out all non blocker\exceptions.
Comment 8 Allon Mureinik 2017-05-15 07:23:51 EDT
(In reply to Petr Matyáš from comment #6)
> I have Firefox 50.1 on Arch Linux with 4K monitor, so the height should be
> around 2000px, width around 1900px.
> 
> These values should be irrelevant since this is obviously hard coded values
> for size of that part of the page.
Pushing out to 4.2.
Comment 9 Allon Mureinik 2017-07-23 11:20:53 EDT
RHV 4.2 has removed the user portal and will use a new VM portal instead.
Closing.

Note You need to log in before you can comment on or make changes to this bug.